# Define version and release number
%define php_common_major 8
%define php_common_sub 3
%define phplong %{php_common_major}.%{php_common_sub}
%define		modname	libvirt
%define		imodname	libvirt-php
%define		_disable_ld_no_undefined 1
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)

# The change to gcc10 to default to -fno-common breaks libvirt-php
# c.f.: https://src.fedoraproject.org/rpms/redhat-rpm-config/c/3e759e70ac919595f45c1dc80c19fc8d3499b459
# c.f.: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/MXKIKAV4GMS22TGAO5Y6ROQ76EG4GKW2/
%define _legacy_common_support 1

Name:		php-libvirt
Version:	0.5.7
Release:	%mkrel 4
Summary:	PHP language binding for Libvirt
Group:		Development/PHP
License:	LGPLv2+
URL:		https://libvirt.org/php
Source0:	https://libvirt.org/sources/php/libvirt-php-%{version}.tar.xz
BuildRequires:	pkgconfig(libvirt)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	xsltproc
BuildRequires:	mercurial
BuildRequires:	php-cli
BuildRequires:	php-imagick
BuildRequires:	php-devel >= 3:%{phplong}.0

%description
%{modname}

%package -n php%{phplong}-%{modname}
Summary:	PHP language binding for Libvirt
Group:		Development/PHP
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description -n php%{phplong}-%{modname}
PHP language bindings for Libvirt API.
For more details see: https://libvirt.org/php/

%prep
%autosetup -S hg -n %{imodname}-%{version}

%build
%serverbuild
%configure \
	--with-html-dir=%{_datadir}/doc \
	--with-html-subdir=%{name}/html \
	--libdir=%{extdir} \
	--with-php-confdir=%{_sysconfdir}/php.d

%make_build

%install
%make_install
chmod +x %{buildroot}%{extdir}/%{imodname}.so
rm -rf %{buildroot}%{_datadir}/doc/php-libvirt
mv %{buildroot}%{_sysconfdir}/php.d/%{imodname}.ini %{buildroot}%{_sysconfdir}/php.d/40-%{imodname}.ini

%files -n php%{phplong}-%{modname}
%doc docs/*
%{extdir}/%{imodname}.so
%exclude %{extdir}/%{imodname}.la
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/40-%{imodname}.ini


%changelog
* Sat Jan 20 2024 mokraemer <mokraemer> 0.5.7-4.mga10
+ Revision: 2032724
- rebuild for include path change

* Thu Jan 18 2024 mokraemer <mokraemer> 0.5.7-3.mga10
+ Revision: 2032050
- support multiple php-versions
- prepare multi-php

* Fri Oct 13 2023 mokraemer <mokraemer> 0.5.7-1.mga10
+ Revision: 1995757
- new version 0.5.7

* Fri Sep 08 2023 mokraemer <mokraemer> 0.5.6-6.mga10
+ Revision: 1985214
- rebuild for php 8.3

* Fri Nov 04 2022 mokraemer <mokraemer> 0.5.6-5.mga9
+ Revision: 1902457
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 0.5.6-4.mga9
+ Revision: 1879779
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 0.5.6-3.mga9
+ Revision: 1870000
- fix dependancy error
- rebuild for php 8.2

* Sat Jun 18 2022 mokraemer <mokraemer> 0.5.6-1.mga9
+ Revision: 1864753
- new version 0.5.6

* Tue Apr 05 2022 umeabot <umeabot> 0.5.5-7.mga9
+ Revision: 1844678
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 0.5.5-6.mga9
+ Revision: 1759373
- rebuild for php 8.1

* Thu Mar 11 2021 mokraemer <mokraemer> 0.5.5-5.mga9
+ Revision: 1701484
- submit

* Thu Mar 11 2021 mokraemer <mokraemer> 0.5.5-4.1.mga9
+ Revision: 1701483
- repatch for php 8 (mga#28376)

* Wed Dec 30 2020 mokraemer <mokraemer> 0.5.5-4.mga8
+ Revision: 1665613
- fix build error
- corrected build path
- patch for php8

* Fri Jun 19 2020 mokraemer <mokraemer> 0.5.5-2.mga8
+ Revision: 1596734
- Fix build flags
- fix dep to current version
- fixed build
- new version 0.5.5
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 0.5.4-6.mga8
+ Revision: 1539066
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 0.5.4-5.mga8
+ Revision: 1463717
+ rebuild (emptylog)

* Fri Oct 26 2018 mokraemer <mokraemer> 0.5.4-4.mga7
+ Revision: 1326049
- updated requires
- updated requires

* Sun Sep 23 2018 umeabot <umeabot> 0.5.4-3.mga7
+ Revision: 1300228
- Mageia 7 Mass Rebuild

* Mon Dec 04 2017 mokraemer <mokraemer> 0.5.4-2.mga7
+ Revision: 1181105
+ rebuild (emptylog)

* Wed Nov 22 2017 mokraemer <mokraemer> 0.5.4-1.mga7
+ Revision: 1178795
- new version for php7
+ oden <oden>
- 0.5.1

* Thu Feb 18 2016 umeabot <umeabot> 0.4.7-9.mga6
+ Revision: 964994
- Mageia 6 Mass Rebuild
+ tv <tv>
- make lib executable thus fixing debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.4.7-7.mga5
+ Revision: 748094
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.7-6.mga5
+ Revision: 687154
- Mageia 5 Mass Rebuild

* Fri Jan 24 2014 tmb <tmb> 0.4.7-5.mga4
+ Revision: 568098
- downgrade back tp 0.4.7
+ oden <oden>
- 0.4.8
+ pterjan <pterjan>
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.4.7-3.mga4
+ Revision: 527864
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 0.4.7-2.mga4
+ Revision: 442679
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 0.4.7-1.mga3
+ Revision: 393504
- 0.4.7

* Wed Jan 30 2013 oden <oden> 0.4.5-3.mga3
+ Revision: 393387
- rebuilt for php-5.4.11

* Sun Jan 13 2013 fwang <fwang> 0.4.5-2.mga3
+ Revision: 375974
- fix build with latest php
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 22 2011 spuhler <spuhler> 0.4.5-1.mga2
+ Revision: 186185
- added BuildRequires: libxml2-utils
- upgrade to 0.4.5

* Tue Mar 29 2011 alien <alien> 0.4.1-2.mga1
+ Revision: 78948
- Remove obsolete and wrong requires

* Mon Mar 21 2011 saispo <saispo> 0.4.1-1.mga1
+ Revision: 75148
- Fix Documentation
- Add xsltproc
- Fix BuildRequires
- imported package php-libvirt

